Subject: [hybi] thewebsocketprotocol #39 (new): multiple extensions selection in the server side handshake

From: "hybi issue tracker" <[email-masked]>
Date: Wed, 12 Jan 2011 14:55:55 -0000

#39: multiple extensions selection in the  server side handshake

 the fact that the server can select more then one extension, among the
 ones that client has offered, is not clear in the current version (04).

 in order to clarify that,
 the following minor change to the text has been proposed by Alexander:

 1 /extensions/
 2   A (possibly empty) list representing the protocol-level
 3   extensions the server is ready to use.  If the server supports
 4   multiple extensions, then the value of each extension should be
 5   derived from the client's handshake and match exactly one of the
 6   values in the "Sec-WebSocket-Extensions" field.  The absence
 7   of such a field is equivalent to the null value.  The empty
 8    string is not the same as the null value for these purposes.

 The changes are in lines 4 and 5.

 see: http://www.ietf.org/mail-archive/web/hybi/current/msg05851.html

-- 
-------------------------------------------+--------------------------------
 Reporter:  salvatore.loreto@…             |       Owner:     
     Type:  enhancement                    |      Status:  new
 Priority:  minor                          |   Milestone:     
Component:  thewebsocketprotocol           |     Version:     
 Severity:  -                              |    Keywords:     
-------------------------------------------+--------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/hybi/trac/ticket/39>
hybi <http://tools.ietf.org/hybi/>
The Hypertext-Bidirectional (HyBi) working group will seek
standardization of one approach to maintain bidirectional
communications between the HTTP client, server and intermediate
entities, which will provide more efficiency compared to the current
use of hanging requests.